import type { SzPlatformService } from '../classes.platformservice.js';
import * as plugins from '../plugins.js';

export interface ILetterConstructorOptions {
  letterxpressUser: string;
  letterxpressToken: string;
}

export class LetterService {
  public platformServiceRef: SzPlatformService;
  public options: ILetterConstructorOptions;

  constructor(platformServiceRefArg: SzPlatformService, optionsArg: ILetterConstructorOptions) {
    this.platformServiceRef = platformServiceRefArg;
    this.options = optionsArg;
  }
}
